תוכן
\<bookmark_value\>mathematical functions\</bookmark_value\>\<bookmark_value\>Function Wizard; mathematical\</bookmark_value\>\<bookmark_value\>functions; mathematical functions\</bookmark_value\>\<bookmark_value\>trigonometric functions\</bookmark_value\>

# Mathematical Functions

This category contains the Mathematical functions for Calc. To open the Function Wizard, choose Insert - Function.

## AGGREGATE

This function returns an aggregate result of the calculations in the range. You can use different aggregate functions listed below. The Aggregate function enables you to omit hidden rows, errors, SUBTOTAL and other AGGREGATE function results in the calculation.

## RAWSUBTRACT

Subtracts a set of numbers and gives the result without eliminating small roundoff errors.

## SUM

Adds a set of numbers.

## SUMIF

Determines which values in a range of cells meet a specified criterion, then returns the sum of the matching values. Alternatively the function can determine which values in one range of cells meet a criterion, then return the sum of values in the corresponding cells in a second range of cells.

## COLOR

Return a numeric value calculated by a combination of three colors (red, green and blue) and the alpha channel, in the RGBA color system. The result depends on the color system used by your computer.

## SUMIFS

Returns the sum of the values of cells in a range that meets multiple criteria in multiple ranges.

\<bookmark_value\>ABS function\</bookmark_value\>\<bookmark_value\>absolute values\</bookmark_value\>\<bookmark_value\>values;absolute\</bookmark_value\>

## ABS

Returns the absolute value of a number.

#### Syntax

ABS(Number)

\<emph\>Number\</emph\> is the value whose absolute value is to be calculated.

#### Example

Entering the value -56 will return an absolute value of 56.

Entering the value 56 will return an absolute value of 56.

The inverse trigonometric sine of -1 returns the value -1.57.

\<bookmark_value\>ACOS function\</bookmark_value\>

## ACOS

Returns the inverse trigonometric cosine of a number.

#### Syntax

ACOS(Number)

\<emph\>Number\</emph\> is the value, whose inverse trigonometric cosine value is to be calculated.

To return the angle in degrees, use the DEGREES function.

#### Example

The inverse trigonometric cosine of -1 returns the value 3.14.

=DEGREES(ACOS(0.5)) returns 60. The cosine of 60 degrees is 0.5.

\<bookmark_value\>ACOSH function\</bookmark_value\>

## ACOSH

Returns the inverse hyperbolic cosine of a number.

#### Syntax

ACOSH(Number)

\<emph\>Number\</emph\> is the value whose inverse hyperbolic cosine is to be calculated.

Number must be greater than or equal to 1.

#### Example

The inverse hyperbolic cosine of 1 returns the value 0.

The inverse hyperbolic cosine of 1 returns the value 0.

\<bookmark_value\>ACOT function\</bookmark_value\>

## ACOT

Returns the inverse cotangent (the arccotangent) of the given number.

#### Syntax

ACOT(Number)

\<emph\>Number\</emph\> is the value whose inverse cotangent is to be calculated.

To return the angle in degrees, use the DEGREES function.

#### Example

The inverse cotangent of -1 returns the value 2.36.

=DEGREES(ACOT(1)) returns 45. The tangent of 45 degrees is 1.

\<bookmark_value\>ACOTH function\</bookmark_value\>

## ACOTH

Returns the inverse hyperbolic cotangent of the given number.

#### Syntax

ACOTH(Number)

\<emph\>Number\</emph\> is the value whose inverse hyperbolic cotangent is to be calculated.

An error results if Number is between -1 and 1 inclusive.

#### Example

The inverse hyperbolic cotangent of 1.1 returns the value 1.52.

\<bookmark_value\>ASIN function\</bookmark_value\>

## ASIN

Returns the inverse trigonometric sine of a number.

#### Syntax

ASIN (Number)

\<emph\>Number\</emph\> is the value whose inverse trigonometric sine is to be calculated.

To return the angle in degrees, use the DEGREES function.

#### Example

The inverse trigonometric sine of -1 returns the value -1.57.

The inverse trigonometric tangent of -1 returns the value -0.79.

=DEGREES(ASIN(0.5)) returns 30. The sine of 30 degrees is 0.5.

\<bookmark_value\>ASINH function\</bookmark_value\>

## ASINH

Returns the inverse hyperbolic sine of a number.

#### Syntax

ASINH(Number)

\<emph\>Number\</emph\> is the value whose inverse hyperbolic sine is to be calculated.

#### Example

The inverse hyperbolic sine of -90 returns the value -5.19.

The inverse trigonometric sine of -1 returns the value -1.57.

\<bookmark_value\>ATAN function\</bookmark_value\>

## ATAN

Returns the inverse trigonometric tangent of a number.

#### Syntax

ATAN(Number)

\<emph\>Number\</emph\> is the value whose inverse trigonometric tangent value is to be calculated.

To return the angle in degrees, use the DEGREES function.

#### Example

The inverse trigonometric tangent of -1 returns the value -0.79.

=DEGREES(ATAN(1)) returns 45. The tangent of 45 degrees is 1.

\<bookmark_value\>ATAN2 function\</bookmark_value\>

## ATAN2

Returns the angle (in radians) between the x-axis and a line from the origin to the point (NumberX|NumberY).

This function is part of the Open Document Format for Office Applications (OpenDocument) standard Version 1.2. (ISO/IEC 26300:2-2015)

#### Syntax

ATAN2(Number x; number y)

NumberX is the value of the x coordinate.

\<emph\>Number y\</emph\> is the value for the y coordinate.

Programming languages have usually the opposite order of arguments for their atan2() function.

ATAN2 returns the angle (in radians) between the x-axis and a line from the origin to the point (NumberX|NumberY)

#### Example

=ATAN2(-5;9) returns 2.07789 radians.

To get the angle in degrees apply the DEGREES function to the result.

=DEGREES(ATAN2(12.3;12.3)) returns 45. The tangent of 45 degrees is 1.

LibreOffice results 0 for ATAN2(0;0).

The function can be used in converting cartesian coordinates to polar coordinates.

=DEGREES(ATAN2(-8;5)) returns φ = 147.9 degrees

\<bookmark_value\>ATANH function\</bookmark_value\>

## ATANH

Returns the inverse hyperbolic tangent of a number.

#### Syntax

ATANH(Number)

\<emph\>Number\</emph\> is the value whose inverse hyperbolic tangent is to be calculated.

Number must obey the condition -1 < number < 1.

#### Example

The inverse hyperbolic tangent of 0.99 returns the value 2.65.

\<bookmark_value\>COMBIN function\</bookmark_value\>\<bookmark_value\>number of combinations\</bookmark_value\>

## COMBIN

Returns the number of combinations for elements without repetition.

#### Syntax

COMBIN(count 1; count 2)

\<emph\>Count 1\</emph\> is the total number of elements.

\<emph\>Count 2\</emph\> is the select count from the elements.

COMBIN returns the number of ordered ways to choose these items. For example if there are 3 items A, B and C in a set, you can choose 2 items in 3 different ways, namely AB, AC and BC.

COMBIN implements the formula: Count1!/(Count2!*(Count1-Count2)!)

#### Example

If you enter 2 in text boxes Count 1 and 2, 1 will be returned as the result.

\<bookmark_value\>COMBINA function\</bookmark_value\>\<bookmark_value\>number of combinations with repetitions\</bookmark_value\>

## COMBINA

Returns the number of combinations of a subset of items including repetitions.

#### Syntax

COMBINA(count 1; count 2)

\<emph\>Count 1\</emph\> is the total number of elements.

\<emph\>Count 2\</emph\> is the select count from the elements.

COMBINA returns the number of unique ways to choose these items, where the order of choosing is irrelevant, and repetition of items is allowed. For example if there are 3 items A, B and C in a set, you can choose 2 items in 6 different ways, namely AA, AB, AC, BB, BC and CC.

COMBINA implements the formula: (Count1+Count2-1)! / (Count2!(Count1-1)!)

#### Example

If you enter 2 in text boxes Count 1 and 2, 3 will be returned as the result.

\<bookmark_value\>Euro; converting in\</bookmark_value\>\<bookmark_value\>CONVERT function\</bookmark_value\>

## CONVERT

Converts between old European national currency and to and from Euros.

#### Syntax

EUROCONVERT(Value; "From_currency"; "To_currency" [; full_precision [; triangulation_precision]])

\<emph\>Value\</emph\> is the amount in the currency to be converted.

\<emph\>Text\</emph\> is the official abbreviation for the currency in question (for example, "EUR"). The first \<emph\>Text\</emph\> parameter gives the source value to be converted, the second \<emph\>Text\</emph\> parameter gives the destination value.

Full_precision is optional. If omitted or False, the result is rounded according to the decimals of the To currency. If Full_precision is True, the result is not rounded.

Triangulation_precision is optional. If Triangulation_precision is given and >=3, the intermediate result of a triangular conversion (currency1,EUR,currency2) is rounded to that precision. If Triangulation_precision is omitted, the intermediate result is not rounded. Also if To currency is "EUR", Triangulation_precision is used as if triangulation was needed and conversion from EUR to EUR was applied.

### \<emph\>Example:\</emph\>

=CONVERT(100;"ATS";"EUR") converts 100 Austrian Schilling into Euro.

=CONVERT(100;"EUR";"DEM") converts 100 Euro into German Mark.

## CONVERT_OOO

Converts to euros a currency value expressed in one of the legacy currencies of 19 member states of the Eurozone, and vice versa. The conversion uses the fixed exchange rates at which the legacy currencies entered the euro.

We recommend using the more flexible EUROCONVERT function for converting between these currencies. CONVERT_OOO is not a standardized function and is not portable.

#### Syntax

CONVERT_OOO(Value; "Text1"; "Text2")

Value is the amount of the currency to be converted.

Text1 is a three-character string that specifies the currency to be converted from.

Text2 is a three-character string that specifies the currency to be converted to.

Text1 and Text2 must each take one of the following values: "ATS", "BEF", "CYP", "DEM", "EEK", "ESP", "EUR", "FIM", "FRF", "GRD", "IEP", "ITL", "LTL", "LUF", "LVL", "MTL", "NLG", "PTE", "SIT", and "SKK".

One, and only one, of Text1 or Text2 must be equal to "EUR".

#### Example

=CONVERT_OOO(100;"ATS";"EUR") returns the euro value of 100 Austrian schillings.

=CONVERT_OOO(100;"EUR";"DEM") converts 100 euros into German marks.

Refer to the CONVERT_OOO wiki page for more details about this function.

\<bookmark_value\>COS function\</bookmark_value\>

## COS

Returns the cosine of the given angle (in radians).

#### Syntax

COS(Number)

\<emph\>Number\</emph\> is the value whose cosine is to be calculated.

To return the cosine of an angle in degrees, use the RADIANS function.

#### Example

The angle 6.28 (2Pi) returns a cosine of 1.

The angle 3.14 (Pi) returns a cosine of -1.

\<bookmark_value\>COSH function\</bookmark_value\>

## COSH

Returns the hyperbolic cosine of a number.

#### Syntax

COSH(Number)

\<emph\>Number\</emph\> is the value whose hyperbolic cosine is to be calculated.

#### Example

Entering the value -5 will return a hyperbolic cosine of 74.21.

\<bookmark_value\>COT function\</bookmark_value\>

## COT

Returns the cotangent of the given angle (in radians).

#### Syntax

COT(Number)

\<emph\>Number\</emph\> is the value whose cotangent is to be calculated.

To return the cotangent of an angle in degrees, use the RADIANS function.

The cotangent of an angle is equivalent to 1 divided by the tangent of that angle.

### Example:

The angle -45 returns a cotangent of -0.62.

The angle 90 returns a cotangent of -0.5.

\<bookmark_value\>COTH function\</bookmark_value\>

## COTH

Returns the hyperbolic cotangent of a given number (angle).

#### Syntax

COTH(Number)

\<emph\>Number\</emph\> is the value whose hyperbolic cotangent is to be calculated.

#### Example

Entering the value 90 returns a hyperbolic cotangent of 1.

\<bookmark_value\>ASIN function\</bookmark_value\>

## CSC

Returns the cosecant of the given angle (in radians). The cosecant of an angle is equivalent to 1 divided by the sine of that angle

This function is available since LibreOffice 3.5.

#### Syntax

COSH(Number)

\<emph\>Number\</emph\> is the value whose cosine is to be calculated.

To return the cosecant of an angle in degrees, use the RADIANS function.

#### Example

=CSC(PI()/4) returns approximately 1.4142135624, the inverse of the sine of PI/4 radians.

The angle 3.14 (Pi) returns a cosine of -1.

\<bookmark_value\>ASIN function\</bookmark_value\>

## CSCH

Returns the hyperbolic cosecant of a number.

This function is available since LibreOffice 3.5.

#### Syntax

COSH(Number)

\<emph\>Number\</emph\> is the value whose hyperbolic cosine is to be calculated.

#### Example

=CSCH(1) returns approximately 0.8509181282, the hyperbolic cosecant of 1.

\<bookmark_value\>DEGREES function\</bookmark_value\>\<bookmark_value\>converting;radians, into degrees\</bookmark_value\>

## DEGREES

Converts radians into degrees.

#### Syntax

DEG(Number)

\<emph\>Number\</emph\> is the value to be converted.

#### Example

=DEGREES(PI()) returns 180 degrees.

\<bookmark_value\>EVEN function\</bookmark_value\>\<bookmark_value\>numbers;rounding up/down to even integers\</bookmark_value\>\<bookmark_value\>rounding;up/down to even integers\</bookmark_value\>

## EVEN

Rounds a positive number up to the next even integer and a negative number down to the next even integer.

#### Syntax

EVEN(number)

\<emph\>Number\</emph\> is the number that is to be rounded.

#### Example

If you enter the number 0.01, 2 will be returned as the result.

If you enter the number 0.01, 2 will be returned as the result.

The inverse trigonometric sine of -1 returns the value -1.57.

If you enter the number 0.01, 2 will be returned as the result.

\<bookmark_value\>EXP function\</bookmark_value\>

## EXP

Returns e raised to the power of a number. The constant e has a value of approximately 2.71828182845904.

#### Syntax

EXP(number)

\<emph\>Number\</emph\> is the power to which e is to be raised.

#### Example

=EXP(1) returns 2.71828182845904, the mathematical constant e to Calc's accuracy.

\<bookmark_value\>FACT function\</bookmark_value\>\<bookmark_value\>factorials;numbers\</bookmark_value\>

## FACT

Returns the factorial of a non-negative integer.

#### Syntax

FACT(Integer)

Returns Integer!, the factorial of Integer, calculated as 1*2*3*4* ... * Integer.

Returns the "invalid argument" error if the argument is negative integer.

Returns the #VALUE! error if the argument is greater than 170, cause too large integer (approximately 7E+306.

=FACT(0) returns 1 by definition.

If the argument is a non-integer number, it is converted to its floor integer value.

#### Example

FACT(10) returns 3628800.

=FACT(3.8) returns 6.

FACT(0) by definition returns 1.

\<bookmark_value\>GCD function\</bookmark_value\>\<bookmark_value\>greatest common divisor\</bookmark_value\>

## GCD

Returns the greatest common divisor of two or more integers.

The greatest common divisor is the positive largest integer which will divide, without remainder, each of the given integers.

#### Syntax

GCD(Integer 1 [; Integer 2 [; … [; Integer 255]]])

Integer 1; Integer 2; … ; Integer 255 are integers, references to cells or to cell ranges of integers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

GCD(16;32;24) gives the result 8, because 8 is the largest number that can divide 16, 24 and 32 without a remainder.

GCD(B1:B3) where cells B1, B2, B3 contain 9, 12, 9 gives 3.

## GCD_EXCEL2003

The result is the greatest common divisor of a list of numbers.

The functions whose names end with _ADD or _EXCEL2003 return the same results as the corresponding Microsoft Excel 2003 functions without the suffix. Use the functions without suffix to get results based on international standards.

#### Syntax

GCD_EXCEL2003(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1; Number 2; … ; Number 255 are numbers, references to cells or to cell ranges of numbers.

#### Example

=GCD_EXCEL2003(5;15;25) returns 5.

\<bookmark_value\>INT function\</bookmark_value\>\<bookmark_value\>numbers;rounding down to next integer\</bookmark_value\>\<bookmark_value\>rounding;down to next integer\</bookmark_value\>

## INT

Rounds a number down to the nearest integer.

#### Syntax

INT(number)

\<emph\>Number\</emph\> is the number that is to be rounded down to the nearest integer.

Negative numbers round down to the integer below.

#### Example

If you enter the number -0.1, -1 will be returned as the result.

If you enter the number 23.74, 23 will be returned as the result.

\<bookmark_value\>LCM function\</bookmark_value\>\<bookmark_value\>least common multiples\</bookmark_value\>\<bookmark_value\>lowest common multiples\</bookmark_value\>

## LCM

Returns the least common multiple of one or more integers.

#### Syntax

LCM(Integer 1 [; Integer 2 [; … [; Integer 255]]])

Integer 1; Integer 2; … ; Integer 255 are integers, references to cells or to cell ranges of integers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

If you enter the numbers 512; 1024 and 2000 as Integer 1;2 and 3, then 128000 will be returned.

## LCM_EXCEL2003

The result is the lowest common multiple of a list of numbers.

The functions whose names end with _ADD or _EXCEL2003 return the same results as the corresponding Microsoft Excel 2003 functions without the suffix. Use the functions without suffix to get results based on international standards.

#### Syntax

LCM_EXCEL2003(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1; Number 2; … ; Number 255 are numbers, references to cells or to cell ranges of numbers.

#### Example

=LCM_EXCEL2003(5;15;25) returns 75.

\<bookmark_value\>LN function\</bookmark_value\>\<bookmark_value\>natural logarithm\</bookmark_value\>

## LN

Returns the natural logarithm based on the constant e of a number. The constant e has a value of approximately 2.71828182845904.

#### Syntax

LN(number)

\<emph\>Number\</emph\> is the value whose natural logarithm is to be calculated.

#### Example

The natural logarithm to the base e of the value 3 will return the rounded value of 1.1 as the result.

=GESTEP(5;1) returns 1.

\<bookmark_value\>LOG function\</bookmark_value\>\<bookmark_value\>logarithms\</bookmark_value\>

## LOG

Returns the logarithm of a number to the specified base.

#### Syntax

LOG(Number [; Base])

\<emph\>Number\</emph\> is the value whose logarithm is to be calculated.

\<emph\>Base\</emph\> is the base for the logarithm calculation.

#### Example

The logarithm of the number 10 to the base 3 will return 2.1 as the result.

If you enter the number -0.1, -1 will be returned as the result.

\<bookmark_value\>LOG10 function\</bookmark_value\>\<bookmark_value\>base-10 logarithm\</bookmark_value\>

## LOG10

Returns the base-10 logarithm of a number.

#### Syntax

LOG10(number)

\<emph\>Number\</emph\> is the value whose logarithm to the base 10 is to be calculated.

#### Example

The logarithm to the base 10 of the value 3 will return 0.48 as the result.

\<bookmark_value\>MOD function\</bookmark_value\>\<bookmark_value\>remainders of divisions\</bookmark_value\>

## MOD

Returns the remainder when one integer is divided by another.

#### Syntax

MOD(Dividend; Divisor)

\<emph\>Dividend\</emph\> is the value from which to find the remainder after dividing.

\<emph\>Divisor\</emph\> is the number by which to divide the specified value.

#### Example

The value 17 in the Dividend field is to be divided by the divisor -1.4. -1.2 will be returned as the remainder.

Entering the value 56 will return an absolute value of 56.

\<bookmark_value\>MROUND function\</bookmark_value\>\<bookmark_value\>nearest multiple\</bookmark_value\>

## MROUND

Returns a number rounded to the nearest multiple of another number.

#### Syntax

MROUND(Number; Multiple)

Returns Number rounded to the nearest multiple of Multiple.

An alternative implementation would be Multiple * ROUND(Number/Multiple).

#### Example

Which integer multiple of 3 is the number 15.5 closest to?

=MROUND(1.6;0.5) returns 1.5, the nearest integer multiple of 0.5 to approach 1.6.

\<bookmark_value\>MULTINOMIAL function\</bookmark_value\>

## MULTINOMIAL

Returns the factorial of the sum of the arguments divided by the product of the factorials of the arguments.

#### Syntax

MULTINOMIAL(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1; Number 2; … ; Number 255 are numbers, references to cells or to cell ranges of numbers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

=MULTINOMIAL(F11:H11) returns 1260, if F11 to H11 contain the values 2, 3 and 4. This corresponds to the formula =(2+3+4)! / (2!*3!*4!)

\<bookmark_value\>ODD function\</bookmark_value\>\<bookmark_value\>rounding;up/down to nearest odd integer\</bookmark_value\>

## ODD

Rounds a positive number up to the nearest odd integer and a negative number down to the nearest odd integer.

#### Syntax

ODD(number)

\<emph\>Number\</emph\> is the number that is to be rounded.

#### Example

If you enter the number 1.01, 3 will be returned as the result.

If you enter the number 1.01, 3 will be returned as the result.

If you enter the number 1.01, 3 will be returned as the result.

If you enter the number 1.01, 3 will be returned as the result.

\<bookmark_value\>PI function\</bookmark_value\>

## PI

Returns 3.14159265358979, the value of the mathematical constant PI to 14 decimal places.

#### Syntax

PI()

#### Example

=PI() returns 3.14159265358979.

\<bookmark_value\>POWER function\</bookmark_value\>

## POWER

Returns a number raised to another number.

#### Syntax

POWER(Base; Exponent)

\<emph\>Base\</emph\> is the number that is to be raised to a given power.

The same result may be achieved by using the exponentiation operator ^: Base^Exponent

=POWER(0,0) returns 1; =POWER(0,X) reports the #NUM! error when exponent X is negative.

=POWER(B,X) may or may not report a #NUM! error when B is negative and X is not an integer.

#### Example

=POWER(4;3) returns 64, which is 4 to the power of 3.

=4^3 also returns 4 to the power of 3.

=POWER(2;-3) returns 0.125.

=POWER(-2;1/3) returns -1.25992104989487.

=POWER(-2;2/3) returns the #NUM! error.

\<bookmark_value\>PRODUCT function\</bookmark_value\>\<bookmark_value\>numbers;multiplying\</bookmark_value\>\<bookmark_value\>multiplying;numbers\</bookmark_value\>

## PRODUCT

Multiplies all the numbers given as arguments and returns the product.

#### Syntax

PRODUCT(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1; Number 2; … ; Number 255 are numbers, references to cells or to cell ranges of numbers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

If you enter the numbers 2; 3 and 4 in the Number 1; 2 and 3 text boxes, 24 will be returned as the result.

\<bookmark_value\>QUOTIENT function\</bookmark_value\>\<bookmark_value\>divisions\</bookmark_value\>

## QUOTIENT

Returns the integer part of a division operation.

#### Syntax

QUOTIENT(Numerator;Denominator)

Returns the integer part of Numerator divided by Denominator.

QUOTIENT is equivalent to INT(numerator/denominator) for same-sign numerator and denominator, except that it may report errors with different error codes. More generally, it is equivalent to INT(numerator/denominator/SIGN(numerator/denominator))*SIGN(numerator/denominator).

#### Example

=QUOTIENT(11;3) returns 3. The remainder of 2 is lost.

\<bookmark_value\>RADIANS function\</bookmark_value\>\<bookmark_value\>converting;degrees, into radians\</bookmark_value\>

## RADIANS

Converts degrees to radians.

#### Syntax

RADIANS(number)

\<emph\>Number\</emph\> is the angle in degrees.

#### Example

=RADIANS(90) returns 1.5707963267949, which is PI/2 to Calc's accuracy.

## RAND

Returns a random number between 0 and 1.

This function is always recalculated whenever a recalculation occurs.

#### Syntax

RAND( )

This function produces a new random number each time Calc recalculates. To force Calc to recalculate manually press F9.

To generate random numbers which never recalculate, either:

- Copy cells each containing =RAND(), and use Edit - Paste Special (with Paste All and Formulas not marked and Numbers marked).

- Use the Fill Cell command with random numbers (Sheet - Fill Cells - Fill Random Numbers).

- Use the RAND.NV() function for non-volatile random numbers.

#### Example

=RAND() returns a random number between 0 and 1.

## RAND.NV

Returns a non-volatile random number between 0 and 1.

#### Syntax

RAND.NV()

This function produces a non-volatile random number on input. A non-volatile function is not recalculated at new input events. The function does not recalculate when pressing F9, except when the cursor is on the cell containing the function or using the Recalculate Hard command (Shift+Command Ctrl+F9). The function is recalculated when opening the file.

#### Example

=RAND.NV() returns a non-volatile random number between 0 and 1.

#### Technical information

This function is available since LibreOffice 7.0.

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.LIBREOFFICE.RAND.NV

## RANDBETWEEN

Returns an integer random number in a specified range.

This function is always recalculated whenever a recalculation occurs.

#### Syntax

RANDBETWEEN (Bottom; Top)

Returns an integer random number between integers Bottom and Top (both inclusive).

This function produces a new random number each time Calc recalculates. To force Calc to recalculate manually press F9.

To generate random numbers which never recalculate, copy cells containing this function, and use Edit - Paste Special (with Paste All and Formulas not marked and Numbers marked).

#### Example

=RANDBETWEEN (20;30) returns an integer of between 20 and 30.

## RANDBETWEEN.NV

Returns an non-volatile integer random number in a specified range.

#### Syntax

RANDBETWEEN.NV(Bottom; Top)

Returns an non-volatile integer random number between integers Bottom and Top (both inclusive). A non-volatile function is not recalculated at new input events or pressing F9. However, the function is recalculated when pressing F9 with the cursor on the cell containing the function, when opening the file, when using the Recalculate Hard command (Shift+Command Ctrl+F9) and when Top or Bottom are recalculated.

#### Example

=RANDBETWEEN.NV(20;30) returns a non-volatile integer between 20 and 30.

=RANDBETWEEN.NV(A1;30) returns a non-volatile integer between the value of cell A1 and 30. The function is recalculated when the contents of cell A1 change.

#### Technical information

This function is available since LibreOffice 7.0.

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.LIBREOFFICE.RANDBETWEEN.NV

\<bookmark_value\>ROUND function\</bookmark_value\>

## ROUND

Rounds a number to a certain number of decimal places.

#### Syntax

ROUND(Number [; Count])

\<emph\>number\</emph\> is the number to be rounded.

This function rounds to the nearest number. See ROUNDDOWN and ROUNDUP for alternatives.

#### Example

If you enter the number 17.546 in the \<emph\>number\</emph\> field, with 1 specified as the number of rounding places, 17.5 will be returned as the result.

=ROUND(-32.4834; 3) returns -32.483. Change the cell format to see all decimals.

If you enter the number 17.546 in the \<emph\>number\</emph\> field, with 1 specified as the number of rounding places, 17.5 will be returned as the result.

If you enter the number 1.01, 3 will be returned as the result.

Entering the value 123.343 and the value 2 in the \<emph\>count\</emph\> field will return the value 123.35.

## ROUNDDOWN

Truncates a number while keeping a specified number of decimal digits.

\<bookmark_value\>ROUNDUP function\</bookmark_value\>

## ROUNDUP

Rounds a number up, away from zero, to a certain precision.

#### Syntax

ROUNDUP(Number [; Count])

\<emph\>number\</emph\> is the number to be rounded up.

This function rounds away from zero. See ROUNDDOWN and ROUND for alternatives.

#### Example

Entering the value 123.343 and the value 2 in the \<emph\>count\</emph\> field will return the value 123.35.

Entering the value 567.567 and the value 2 in the \<emph\>count\</emph\> field will return 567.56.

Entering the value 123.343 and the value 2 in the \<emph\>count\</emph\> field will return the value 123.35.

If you enter the number -4.5, -1 will be returned as the result.

Entering the value 123.343 and the value 2 in the \<emph\>count\</emph\> field will return the value 123.35.

\<bookmark_value\>SKEW function\</bookmark_value\>

## SEC

Returns the secant of the given angle (in radians). The secant of an angle is equivalent to 1 divided by the cosine of that angle

This function is available since LibreOffice 3.5.

#### Syntax

SIN(number)

\<emph\>Number\</emph\> is the angle in radians.

To return the secant of an angle in degrees, use the RADIANS function.

#### Example

=SEC(PI()/4) returns approximately 1.4142135624, the inverse of the cosine of PI/4 radians.

The angle 3.14 (Pi) returns a cosine of -1.

\<bookmark_value\>SEARCH function\</bookmark_value\>

## SECH

Returns the hyperbolic secant of a number.

This function is available since LibreOffice 3.5.

#### Syntax

SINH(number)

\<emph\>Number\</emph\> is the number whose hyperbolic sine is to be calculated.

#### Example

If you enter the value -5, -74.2 will be returned as the hyperbolic sine.

\<bookmark_value\>SERIESSUM function\</bookmark_value\>

## SERIESSUM

Sums the first terms of a power series.

SERIESSUM(x;n;m;c) = c1xn + c2xn+m + c3xn+2m + ... + cixn + (i-1)m.

#### Syntax

SERIESSUM(x; n; m; coefficients)

x: the number as an independent variable

n: the starting power

m: the increment

coefficients: a series of coefficients. For each coefficient the series sum is extended by one section.

#### Example

=SERIESSUM(A1; 0; 1; {1; 2; 3}) calculates the value of 1+2x+3x2, where x is the value in cell A1. If A1 contains 1, the formula returns 6; if A1 contains 2, the formula returns 17; if A1 contains 3, the formula returns 34; and so on.

Refer to the SERIESSUM wiki page for more details about this function.

\<bookmark_value\>SIGN function\</bookmark_value\>\<bookmark_value\>algebraic signs\</bookmark_value\>

## SIGN

Returns the sign of a number. Returns 1 if the number is positive, -1 if negative and 0 if zero.

#### Syntax

SIGN(number)

\<emph\>Number\</emph\> is the number whose sign is to be determined.

#### Example

If you enter the number 3.4, 1 will be returned as the result.

If you enter the number -4.5, -1 will be returned as the result.

\<bookmark_value\>SIN function\</bookmark_value\>

## SIN

Returns the sine of the given angle (in radians).

#### Syntax

SIN(number)

\<emph\>Number\</emph\> is the angle in radians.

To return the sine of an angle in degrees, use the RADIANS function.

#### Example

The sine of the angle (in radians) 3.14 (Pi) is 0.

The angle 3.14 (Pi) returns a cosine of -1.

\<bookmark_value\>SINH function\</bookmark_value\>

## SINH

Returns the hyperbolic sine of a number.

#### Syntax

SINH(number)

\<emph\>Number\</emph\> is the number whose hyperbolic sine is to be calculated.

#### Example

If you enter the value -5, -74.2 will be returned as the hyperbolic sine.

\<bookmark_value\>SQRT function\</bookmark_value\>\<bookmark_value\>square roots;positive numbers\</bookmark_value\>

## SQRT

Returns the positive square root of a number.

#### Syntax

SQRT(number)

\<emph\>Number\</emph\> is the number whose square root is to be calculated.

Number must be positive.

#### Example

The square root of 16 is 4.

=SQRT(-16) returns an invalid argument error.

\<bookmark_value\>SQRTPI function\</bookmark_value\>\<bookmark_value\>square roots;products of Pi\</bookmark_value\>

## SQRTPI

Returns the square root of (PI times a number).

#### Syntax

SQRTPI (Number)

Returns the positive square root of (PI multiplied by Number).

This is equivalent to SQRT(PI()*Number).

#### Example

=SQRTPI(2) returns the rounded value 2.506628.

\<bookmark_value\>AutoFilter function; subtotals\</bookmark_value\>\<bookmark_value\>sums;of filtered data\</bookmark_value\>\<bookmark_value\>filtered data; sums\</bookmark_value\>\<bookmark_value\>SUBTOTAL function\</bookmark_value\>

## SUBTOTAL

Calculates subtotals. If a range already contains subtotals, these are not used for further calculations. Use this function with the AutoFilters to take only the filtered records into account.

#### Syntax

SUBTOTAL(function; range)

\<emph\>Function\</emph\> is a number that stands for one of the following functions:

Function index (includes hidden values) | Function index (ignores hidden values) | Function
--- | --- | ---
1 | 101 | AVERAGE
2 | 102 | COUNT
3 | 103 | COUNTA
4 | 104 | MAX
5 | 105 | MIN
6 | 106 | PRODUCT
7 | 107 | STDEV
8 | 108 | STDEVP
9 | 109 | SUM
10 | 110 | VAR
11 | 111 | VARP

Use numbers 1-11 to include manually hidden rows or 101-111 to exclude them; filtered-out cells are always excluded.

\<emph\>Range\</emph\> is the range whose cells are included.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

You have a table in the cell range A1:B6 containing a bill of material for 10 students.

| A | B
--- | --- | ---
1 | ITEM | QUANTITY
2 | Pen | 10
3 | Pencil | 10
4 | Notebook | 10
5 | Rubber | 10
6 | Sharpener | 10

Let's say one row is manually hidden, then the first formula shows the sum of the 5 figures filtered; the second, only the sum of the 4 figures displayed.

=SUBTOTAL(9;B2:B6) returns 50.

=SUBTOTAL(109;B2:B6) returns 40.

\<bookmark_value\>SUMSQ function\</bookmark_value\>\<bookmark_value\>square number additions\</bookmark_value\>\<bookmark_value\>sums;of square numbers\</bookmark_value\>

## SUMSQ

Calculates the sum of the squares of a set of numbers.

#### Syntax

SUMSQ(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1; Number 2; … ; Number 255 are numbers, references to cells or to cell ranges of numbers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

If you enter the numbers 2; 3 and 4 in the Number 1; 2 and 3 arguments, 29 is returned as the result.

\<bookmark_value\>TAN function\</bookmark_value\>

## TAN

Returns the tangent of the given angle (in radians).

#### Syntax

TAN(number)

\<emph\>Number\</emph\> is the angle in radians.

To return the tangent of an angle in degrees, use the RADIANS function.

#### Example

The tangent of the angle (in radians) 3.14 (Pi) is 0.

The angle 90 returns a cotangent of -0.5.

\<bookmark_value\>TANH function\</bookmark_value\>

## TANH

Returns the hyperbolic tangent of a number.

#### Syntax

TANH(number)

\<emph\>Number\</emph\> is the number whose hyperbolic tangent is to be calculated.

#### Example

If you enter the value -5, the system returns the hyperbolic tangent -1.

## TRUNC

Truncates a number while keeping a specified number of decimal digits.

נושאים קשורים

Functions by Category

נא לתמוך בנו!